import axipy
from axipy import Layer, Map, MapView, CustomLabelProperties, CustomLabelEndType, Style, Point

path_rf=r"E:\New RF\SubjectRF.TAB"
tab=axipy.provider_manager.openfile(path_rf)
layer=Layer.create(tab)
map_=Map([layer])
map_view=axipy.view_manager.create_mapview(map_)
layer_map=map_view.map.layers[0]
p=CustomLabelProperties()
p.expression="Test CustomLabelProperties"
p.endType=CustomLabelEndType.Arrow
p.position=Point(20.9299215901054,50.4564624591957)
str_style="Pen (2,9,65280)"
p.arrow_style=Style.from_mapinfo(str_style)
map_view.map.custom_labels.set(layer_map,1,p)
